%define module	Apache-ProxyRewrite
%define version	0.17
%define release	2mdk

Summary:	Apache::ProxyRewrite - mod_perl URL-rewriting proxy
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Patch0:		Apache-ProxyRewrite-mpb.diff.bz2
URL:		http://www.cpan.org/
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Apache::ProxyRewrite acts as a reverse-proxy that will rewrite
URLs embedded in HTML documents per apache configuration
directives.

This module was written to allow multiple backend services with
discrete URLs to be presented as one service and to allow the
proxy to do authentication on the client's behalf.

%prep

%setup -q -n %{module}-%{version}
%patch0 -p1

%build

%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

#%make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README SUPPORT
%{perl_vendorlib}/Apache/ProxyRewrite.pm
%{_mandir}/*/*

%changelog
* Fri Sep 09 2005 Oden Eriksson <oeriksson@mandriva.com> 0.17-2mdk
- rebuild

* Thu Aug 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.17-1mdk
- initial mandrake package
- added P0
